BASIC

Author Topic: SDK 4 and OpenFeint library won't compile!  (Read 2042 times)

Offline Ozden79

  • Mr. Polyvector
  • ***
  • Posts: 121
    • View Profile
Hello There,

I upgraded to SDK4 and now when I try to compile one of my games I get this error related with OpenFeint library :


Ld build/iPhone.build/Release-iphoneos/iPhone.build/Objects-normal/armv7/FastBall normal armv7
cd /Users/ozdenirmak/Desktop/XCode/GLBasic
setenv IPHONEOS_DEPLOYMENT_TARGET 2.2.1
setenv PATH "/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin:/Developer/usr/bin:/usr/bin:/bin:/usr/sbin:/sbin"
/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/g++-4.2 -arch armv7 -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS4.0.sdk -L/Users/ozdenirmak/Desktop/XCode/GLBasic/build/Release-iphoneos -L/Users/ozdenirmak/Desktop/XCode/GLBasic/Lib -F/Users/ozdenirmak/Desktop/XCode/GLBasic/build/Release-iphoneos -filelist /Users/ozdenirmak/Desktop/XCode/GLBasic/build/iPhone.build/Release-iphoneos/iPhone.build/Objects-normal/armv7/FastBall.LinkFileList -dead_strip -lstdc++ -miphoneos-version-min=2.2.1 -framework Foundation -weak_framework UIKit -framework OpenGLES -framework QuartzCore -framework AudioToolbox -framework CoreLocation -framework OpenAL -lGLBasiciPhone-egl -lpng-gf -lPROGRAM -framework MediaPlayer -framework CoreGraphics -framework QuartzCore -framework Security -framework SystemConfiguration -lsqlite3.0 -framework CFNetwork -weak_framework MapKit -lz.1.2.3 -llibOpenFeint -o /Users/ozdenirmak/Desktop/XCode/GLBasic/build/iPhone.build/Release-iphoneos/iPhone.build/Objects-normal/armv7/FastBall

Undefined symbols:
  "___save_vfp_d8_d15_regs", referenced from:
      _GLB_OF_HighScore in liblibOpenFeint.a(GLBExports.o)
  "___restore_vfp_d8_d15_regs", referenced from:
      _GLB_OF_HighScore in liblibOpenFeint.a(GLBExports.o)
ld: symbol(s) not found
collect2: ld returned 1 exit status

Any ideas Gernot or Trucidare?

Özden

Offline trucidare

  • Administrator
  • Prof. Inline
  • *******
  • Posts: 1377
  • Bachelor of Fail
    • View Profile
Re: SDK 4 and OpenFeint library won't compile!
« Reply #1 on: 2010-Jun-29 »
Uhm upgraded open fein to newest version? Try to build armv6 only u will find in build settings. Deploy = 4.0 or 3.0
MacBook Pro 2,2 GHz Core 2 Duo, 4 GB RAM, 160 GB HDD, 8600M GT
Core i3 - 3,07 GHz, 8 GB Ram, 2.5 TB HDD, Geforce GTX 260+ OC

Offline Ozden79

  • Mr. Polyvector
  • ***
  • Posts: 121
    • View Profile
Re: SDK 4 and OpenFeint library won't compile!
« Reply #2 on: 2010-Jun-29 »
OpenFeint version is 2.4.5 and I tried with 2.4.10 as well which is the same. Architecture is selected as Armv6 already and the other option is Armv7.

Özden

Offline Ozden79

  • Mr. Polyvector
  • ***
  • Posts: 121
    • View Profile
Re: SDK 4 and OpenFeint library won't compile!
« Reply #3 on: 2010-Jun-29 »
Alright, figured it out, valid architectures were bıth v6 and v7 so removing v7 did the trick.

Thanks for the tip trucidare  :)

Özden